Brand kits
Find a brand kit and pass its `id` as `brand_kit_id` to `POST /decks`. Brands limited to approved email domains appear only for callers on those domains.
Search the brand kits you can style a deck with; pass a result's id to POST /decks.
Includes published brands, your workspace's kits and your own unshared kits. A brand limited to approved email domains appears only when your verified email domain is one of them.
Authorization
HTTPBearer In: header
Query Parameters
Brand name or domain to search for.
Exact brand domain, e.g. acme.com.
Only catalog brands, or only your workspace's kits.
1 <= value11 <= value <= 10020Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/brand-kits"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "domain": "string", "type": "CATALOG", "access": "PUBLIC", "logo_url": "string", "colors": [ "string" ] } ], "page": 0, "limit": 0, "total": 0}{ "error": { "code": "NOT_FOUND", "message": "Deck not found.", "trace_id": "4bf92f3577b34da6a3ce929d0e0e4736" }}{ "error": { "code": "NOT_FOUND", "message": "Deck not found.", "trace_id": "4bf92f3577b34da6a3ce929d0e0e4736" }}{ "error": { "code": "VALIDATION_FAILED", "details": { "errors": [ { "loc": [ "header", "Request-Id" ], "msg": "Field required", "type": "missing" } ] }, "message": "Request failed validation.", "trace_id": "4bf92f3577b34da6a3ce929d0e0e4736" }}{ "error": { "code": "NOT_FOUND", "message": "Deck not found.", "trace_id": "4bf92f3577b34da6a3ce929d0e0e4736" }}{ "error": { "code": "NOT_FOUND", "message": "Deck not found.", "trace_id": "4bf92f3577b34da6a3ce929d0e0e4736" }}Get one brand kit you can style a deck with.
Authorization
HTTPBearer In: header
Path Parameters
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/brand-kits/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "domain": "string", "type": "CATALOG", "access": "PUBLIC", "logo_url": "string", "colors": [ "string" ], "description": "string", "fonts": { "heading": "string", "body": "string" }, "default_mood": "string"}{ "error": { "code": "NOT_FOUND", "message": "Deck not found.", "trace_id": "4bf92f3577b34da6a3ce929d0e0e4736" }}{ "error": { "code": "NOT_FOUND", "message": "Deck not found.", "trace_id": "4bf92f3577b34da6a3ce929d0e0e4736" }}{ "error": { "code": "NOT_FOUND", "message": "Deck not found.", "trace_id": "4bf92f3577b34da6a3ce929d0e0e4736" }}{ "error": { "code": "VALIDATION_FAILED", "details": { "errors": [ { "loc": [ "header", "Request-Id" ], "msg": "Field required", "type": "missing" } ] }, "message": "Request failed validation.", "trace_id": "4bf92f3577b34da6a3ce929d0e0e4736" }}{ "error": { "code": "NOT_FOUND", "message": "Deck not found.", "trace_id": "4bf92f3577b34da6a3ce929d0e0e4736" }}{ "error": { "code": "NOT_FOUND", "message": "Deck not found.", "trace_id": "4bf92f3577b34da6a3ce929d0e0e4736" }}